﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Sample145862;
using MVCSampleBrowser.Models;
using Syncfusion.JavaScript.DataSources;
using System.Collections;
using Syncfusion.JavaScript;
using Syncfusion.Linq;
using System.Web.Script.Serialization;
namespace Sample145862.Controllers
{
    public class GridController : Controller
    {
        //
        // GET: /Grid/
       // List<ParentItem> parent = new List<ParentItem>();

        public ActionResult GridFeatures()
        {

            var DataSource = OrderRepository.GetAllRecords();
            ViewBag.datasource = DataSource;
            ViewBag.dataSource2 = new NorthwindDataContext().Customers.ToList();
            ViewBag.UsageValues = new NorthwindDataContext().EmployeeViews.ToList();
            return View();
        }
        

        public ActionResult CellEditUpdate(EditableOrder value)
        {
            OrderRepository.Update(value);
            var data = OrderRepository.GetAllRecords();
            return Json(value, JsonRequestBehavior.AllowGet);
        }

        public ActionResult CellEditInsert(EditableOrder value)
        {
            OrderRepository.Add(value);
            var data = OrderRepository.GetAllRecords();
            return Json(value, JsonRequestBehavior.AllowGet);
        }
         [HttpPost]
        public ActionResult CellEditDelete(int key)
        {
            
           throw new Exception("Don't do this again");
           
        }

         public ActionResult UserMasterUpdate(bool IsActive)
         {
             return Json(IsActive, JsonRequestBehavior.AllowGet);
         }

     }
}
